#
# spec file for package ipsec-tools (Version 0.3.3)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org
#

# norootforbuild
# neededforbuild  kernel-source openssl openssl-devel readline-devel

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils gcc gdbm gettext kernel-source libtool openssl-devel perl readline-devel rpm

Name:         ipsec-tools
Version:      0.3.3
Release:      1.9
License:      GPL
Group:        Productivity/Networking/Security
Provides:     racoon
PreReq:       %insserv_prereq %fillup_prereq
Autoreqprov:  on
Summary:      IPsec utilities
Source:       http://prdownloads.sourceforge.net/ipsec-tools/ipsec-tools-%{version}.tar.gz
Patch0:       ipsec-tools-%{version}-insecure-header-handling.patch
Patch1:       bugfix-134834.patch
Source1:      racoon.init
Source2:      sysconfig.racoon
Source3:      setkey.conf.sample
URL:          http://ipsec-tools.sf.net/
Prefix:       /usr
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
This is the IPsec-Tools package.  You need this package in order to
really use the IPsec functionality in the linux-2.5+ kernels.  This
package builds:

- libipsec, a PFKeyV2 library

- setkey, a program to directly manipulate policies and SAs

- racoon, an IKEv1 keying daemon

These sources can be found at the IPsec-Tools home page at:
http://ipsec-tools.sourceforge.net/



Authors:
--------
    Derek Atkins  <derek@ihtfp.com>

%prep
%setup
%patch0
%patch1 -p2

%build
%{suse_update_config -f . src/racoon}
CFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=/usr --disable-shared \
	--mandir=%{_mandir} --infodir=%{_infodir} --libdir=%{_libdir} \
	--libexecdir=%{_libdir} --sysconfdir=/etc \
	--sharedstatedir=/var/run --localstatedir=/var
make 
make check

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
cp $RPM_SOURCE_DIR/setkey.conf.sample $RPM_BUILD_ROOT/etc/racoon/setkey.conf
mkdir -p $RPM_BUILD_ROOT/etc/init.d
install -m 0755 $RPM_SOURCE_DIR/racoon.init $RPM_BUILD_ROOT/etc/init.d/racoon
ln -sf /etc/init.d/racoon $RPM_BUILD_ROOT/usr/sbin/rcracoon
mkdir -p $RPM_BUILD_ROOT/var/adm/fillup-templates
install -m 644 $RPM_SOURCE_DIR/sysconfig.racoon $RPM_BUILD_ROOT/var/adm/fillup-templates/
mkdir -p $RPM_BUILD_ROOT/usr/share/doc/packages/%{name}/
cp -v src/racoon/samples/*sample* $RPM_BUILD_ROOT/usr/share/doc/packages/%{name}/
cp -v src/setkey/sample* $RPM_BUILD_ROOT/usr/share/doc/packages/%{name}/

%post
%{fillup_and_insserv racoon}

%postun
%{insserv_cleanup}

%clean
if test ! -z "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/"; then
  rm -rf $RPM_BUILD_ROOT
fi

%files
%defattr(-,root,root)
%dir /etc/racoon
%config(noreplace) /etc/racoon/psk.txt
%config /etc/racoon/psk.txt.dist
%config(noreplace) /etc/racoon/racoon.conf
%config /etc/racoon/racoon.conf.dist
%config(noreplace) /etc/racoon/setkey.conf
%config /etc/init.d/racoon
/usr/sbin/rcracoon
%dir /usr/include/libipsec/
%doc /usr/share/doc/packages/%{name}/
/var/adm/fillup-templates/sysconfig.racoon
/usr/include/libipsec/libpfkey.h
/usr/%{_lib}/libipsec.a
/usr/%{_lib}/libipsec.la
/usr/sbin/racoon
/usr/sbin/setkey
%{_mandir}/man*/*

%changelog -n ipsec-tools
* Thu Nov 24 2005 - jbohac@suse.cz
- security fix: (Bug ID: 134834)
* Wed Mar 16 2005 - jbohac@suse.cz
  security fix - insecure header parsing (Bug ID: 64726)
* Fri Jun 18 2004 - mludvig@suse.cz
- Update to 0.3.3 to fix a X.509 cert verification security bug (#42098)
  and BSD vs. GPL license problem (fixed in 0.3.2).
* Mon May 17 2004 - mludvig@suse.cz
- Fixed comment in init.d/racoon (#40576)
* Wed Apr 21 2004 - mludvig@suse.cz
- Update to 0.3.1 to fix CAN-2004-0403
* Fri Apr 16 2004 - mludvig@suse.cz
- Update to final 0.3. We had all patches in the
  package anyway...
* Thu Apr 08 2004 - mludvig@suse.cz
- Fixed setkey to support multiline commands in interactive mode.
- Added 'exit' command to setkey.
  The two changes fix TAHI/ipsec tests.
- Emit messages about Keep-Alive packets with DEBUG severity
  instead of INFO. With INFO it only polutes syslog every 20s.
* Mon Apr 05 2004 - mludvig@suse.cz
- Fixed X.509 security bug (#38373)
* Thu Apr 01 2004 - mludvig@suse.cz
- Report received SADB_X_NAT_T_NEW_MAPPING message.
- Avoid segfault with unknown PF_KEY messages.
- Move encmode update out of the loop. NAT-T now works
  even with more than one proposal.
* Tue Mar 30 2004 - mludvig@suse.cz
- Rewritten the testsuite to avoid
  failures on 32b platforms.
* Fri Mar 26 2004 - mludvig@suse.cz
- Handle input lines one by one in interactive mode
  (preventing premature exit on syntax error).
* Thu Mar 25 2004 - mludvig@suse.cz
- Update to 0.3rc4:
- Fixed adding "null" encryption via 'setkey'.
- Fixed segfault when using AES in Phase1 with OpenSSL>=0.9.7
- Fixed NAT-T in aggresive mode.
- Fixed testsuite and added testsuite run into make check.
* Tue Mar 23 2004 - mludvig@suse.cz
- Fix segfault with AES.
- Enable testsuite.
* Mon Mar 22 2004 - mludvig@suse.cz
- Fix "null" encryption setup in setkey.
* Fri Mar 19 2004 - mludvig@suse.cz
- Fix duplicate ipsec service (#36575)
- Update to 0.3rc3
* Thu Mar 11 2004 - mludvig@suse.cz
- Update to 0.3rc2
* Mon Mar 08 2004 - mludvig@suse.cz
- Add sysconfig and init.d files.
* Fri Mar 05 2004 - mludvig@suse.cz
- Include samples config files in the RPM.
* Thu Mar 04 2004 - mludvig@suse.cz
- update to 0.3rc1
* Tue Feb 03 2004 - mludvig@suse.cz
- Update to 0.2.4
* Mon Jan 26 2004 - ro@suse.de
- updated neededforbuild "kernel-source-26" -> "kernel-source"
* Thu Jan 15 2004 - mludvig@suse.cz
- update to ipsec-tools-0.2.3
* Sat Jan 10 2004 - adrian@suse.de
- remove obsolete %%run_ldconfig
* Tue Dec 23 2003 - mludvig@suse.cz
- Recognize IPSEC_DIR_FWD when dumping SPD.
* Fri Dec 19 2003 - mludvig@suse.cz
- Added many fixes gathered from the mailing list.
- Added support for specifying SA lifebytes.
* Wed Dec 17 2003 - garloff@suse.de
- Package ipsec-tools 0.2.2.
